/* Nav */
.navbar {
	--clr-white: 216 61% 18%;
	--clr-primary-blue: 0 0% 98%;
	--clr-sub-blue: 0 0% 95%;
}
.navMenu ul li a {
	font-weight: 400;
}

/* Banner */
#banner picture {
	width: 100%;
	height: min(calc(100vh - var(--nav-height)), 1000px);
}
#banner picture img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}
.banner-content {
	font-size: clamp(12px, 0.5rem + 0.5vw, 1.25rem + 0.1vw);
	padding: 5.5rem 0;
	letter-spacing: 0.24em;
	line-height: 2.5em;
}
.banner-content span {
	letter-spacing: 0.14em;
}

/* Introduction */
#introduction {
	width: 100%;
	background-color: hsl(var(--clr-primary-blue));
	padding: 7rem 10vw 10rem;
	display: grid;
	justify-content: center;
	gap: 2rem;
}
@media (min-width: 1080px) {
	#introduction {
		grid-auto-flow: column;
		grid-auto-columns: 1fr;
	}
}
#introduction > div {
	/* --img-width: 40vw; */
	/* width: min(var(--img-width), 800px); */
	/* height: calc(var(--img-width) / 3 * 2); */
	aspect-ratio: 3 / 2;
	display: grid;
}
#introduction > div > * {
	grid-column: 1 / 2;
	grid-row: 1 / 2;
}

#introduction .img-container {
	width: 100%;
	aspect-ratio: 3 / 2;
	overflow: hidden;
}

#introduction .img-container img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center bottom;
	transition: 0.4s;
}
#introduction .card {
	--line-height: 2.4rem;
	--padding-top: 1rem;

	width: 100%;
	text-align: center;
	background-image: linear-gradient(
		hsl(0 0% 100% / 0.24),
		hsl(0 0% 100% / 0.5) 15%,
		hsl(0 0% 100% / 1)
	);
	backdrop-filter: blur(0.35rem) opacity(1);

	height: max-content;
	bottom: 0;
	align-self: flex-end;
}

#introduction .card .title {
	font-size: clamp(1.65rem, 1rem + 1vw, 2rem);
	width: max-content;
	margin: 0 auto;
	letter-spacing: 0.15em;
	padding-top: var(--padding-top);
	line-height: var(--line-height);
	position: relative;
}
#introduction .card .title::after {
	position: absolute;
	content: "";
	background-color: hsl(var(--clr-primary-yellow));
	width: 100%;
	height: 0.15em;
	bottom: -0.1em;
	left: 0;

	transition: transform 0.4s;
}

#introduction .card .detail {
	padding: 1.2rem 0;
	margin: 0 15%;
	font-size: 0.95rem;
	letter-spacing: 2px;
}
#introduction .card .button {
	display: block;
	width: max-content;
	margin: 0 auto 2rem;
	color: hsl(var(--clr-white));
	background-color: hsl(var(--clr-primary-blue));
	border: solid 2px hsl(var(--clr-primary-blue));
	padding: 0.5rem 0.8rem;
	border-radius: 0.9rem;
	font-weight: 400;
	letter-spacing: 1px;
	transition: background-color 0.3s, color 0.3s, font-weight 0.3s,
		letter-spacing 0.3s;
}
#introduction .card .button:hover {
	font-weight: 600;
	letter-spacing: 1.5px;
	background-color: transparent;
	color: hsl(var(--clr-primary-blue));
}

#introduction > div {
	overflow: hidden;
	transition: transform 0.3s ease;
}

@media (hover: hover) {
	#introduction .card {
		backdrop-filter: blur(0.1rem) opacity(0);
		transform: translateY(
			calc(100% - var(--padding-top) - var(--line-height) - var(--padding-top))
		);
		transition: all 0.4s;
	}
	#introduction .card .title::after {
		transform: scaleX(0);
	}
	#introduction .card .content {
		transition: opacity 0.8s;
		opacity: 0;
	}
	:is(#introduction > div:hover, #introduction > div:focus-within) {
		transform: scale(1.02);
	}
	:is(#introduction > div:hover, #introduction > div:focus-within) .card {
		background-image: linear-gradient(
			hsl(0 0% 100% / 0.24),
			hsl(0 0% 100% / 0.5) 15%,
			hsl(0 0% 100% / 1)
		);
		backdrop-filter: blur(0.35rem) opacity(1);
		transform: translateY(0);
		transition-delay: 0.4s;
	}
	:is(#introduction > div:hover, #introduction > div:focus-within)
		.title::after {
		transform: scaleX(1);
	}
	:is(#introduction > div:hover, #introduction > div:focus-within) .content {
		opacity: 1;
		transition-delay: 0.4s;
	}
}

/* Tablet (768px - 1023px) */
@media screen and (max-width: 1023px) {
	/* Banner */
	.banner-content {
		padding: 3rem 5rem 5rem;
	}

	.banner-content p {
		font-size: 1rem;
	}

	.banner-content br {
		display: none;
	}

	/* Introduction */
	#introduction {
		flex-direction: column;
	}
	#introduction .card {
		--line-height: 2.4rem;
		--padding-top: 1rem;
	}
	#introduction .card .title {
		margin-bottom: 2rem;
	}
	#introduction .title .en {
		font-size: 1.7rem;
	}

	#introduction .title .ch {
		font-size: 1.3rem;
		text-align: center;
	}

	#introduction .navigation a {
		font-size: 1.1rem;
		text-align: center;
	}

	#introduction .btn {
		display: inline-flex;
		justify-content: center;
	}
	#introduction button {
		margin-top: 1.6rem;
	}
	#introduction button a {
		padding: 0.6rem 1.5rem;
		font-size: 0.9rem;
	}
}

/* Mobile (767px and below) */
@media screen and (max-width: 767px) {
	/* Banner */
	#banner picture {
		height: 50vh;
	}

	.banner-content {
		padding: 2rem 8vw 4rem;
		font-size: 14px;
	}

	/* Introduction */
	#introduction button {
		margin-top: 1.7rem;
	}
}
